﻿
namespace _04_Webphone_Silverlight_SIP_CMS
{
    public enum CallState
    {
        /// <summary>
        /// The Call object has been created.
        /// </summary>
        Created,

        /// <summary>
        /// The Call has started.
        /// </summary>
        Setup,

        /// <summary>
        /// Some error happened, while initializing the call.
        /// </summary>
        Error,

        /// <summary>
        /// Ringing.
        /// </summary>
        Ringing,

        /// <summary>
        /// The called party is temporarily unavailable, but the server has decided to queue the call rather than reject it.
        /// </summary>
        Queued,

        /// <summary>
        /// Ringing with early media.
        /// </summary>
        RingingWithEarlyMedia,

        /// <summary>
        /// Local call is forwarding.
        /// </summary>
        Forwarding,

        /// <summary>
        /// Local call party does not want to talk for a while.
        /// </summary>
        LocalHeld,

        /// <summary>
        /// Remote call party does not want to talk for a while.
        /// </summary>
        RemoteHeld,
		
		/// <summary>
        /// Both parties put the call on hold.
        /// </summary>
        InactiveHeld,

        /// <summary>
        /// Transferring the call to another client
        /// </summary>
        Transferring,

        /// <summary>
        /// Call parties are talking.
        /// </summary>
        InCall,

        /// <summary>
        /// The call is hung up by someone.
        /// </summary>
        Completed,

        /// <summary>
        /// The call is rejected by someone.
        /// </summary>
        Rejected,

        /// <summary>
        /// The call is cancelled by someone.
        /// </summary>
        Cancelled,

        /// <summary>
        /// The call is signaled as busy by the other side.
        /// </summary>
        Busy,

        /// <summary>
        /// The call is forwarded by the callee.
        /// </summary>
        Forwarded,
    }
}
